diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-bytes-in-flight-test.cc ns-3.44/src/internet/test/tcp-bytes-in-flight-test.cc
--- ns-3.43/src/internet/test/tcp-bytes-in-flight-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-bytes-in-flight-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -17,83 +17,83 @@
 NS_LOG_COMPONENT_DEFINE("TcpBytesInFlightTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Check the value of BytesInFlight against a home-made guess
+ * @brief Check the value of BytesInFlight against a home-made guess
  *
  * The guess is made wrt to segments that travel the network; we have,
  * in theory, the possibility to know the real amount of bytes in flight. However
  * this value is useless, since the sender bases its guess on the received ACK.
  *
- * \see Tx
- * \see BytesInFlightTrace
+ * @see Tx
+ * @see BytesInFlightTrace
  */
 class TcpBytesInFlightTest : public TcpGeneralTest
 {
   public:
     /**
-     * \brief Constructor.
-     * \param desc Description.
-     * \param toDrop Packets to drop.
+     * @brief Constructor.
+     * @param desc Description.
+     * @param toDrop Packets to drop.
      */
     TcpBytesInFlightTest(const std::string& desc, std::vector<uint32_t>& toDrop);
 
   protected:
     /**
-     * \brief Create a receiver error model.
-     * \returns The receiver error model.
+     * @brief Create a receiver error model.
+     * @returns The receiver error model.
      */
     Ptr<ErrorModel> CreateReceiverErrorModel() override;
     /**
-     * \brief Receive a packet.
-     * \param p The packet.
-     * \param h The TCP header.
-     * \param who Who the socket belongs to (sender or receiver).
+     * @brief Receive a packet.
+     * @param p The packet.
+     * @param h The TCP header.
+     * @param who Who the socket belongs to (sender or receiver).
      */
     void Rx(const Ptr<const Packet> p, const TcpHeader& h, SocketWho who) override;
     /**
-     * \brief Transmit a packet.
-     * \param p The packet.
-     * \param h The TCP header.
-     * \param who Who the socket belongs to (sender or receiver).
+     * @brief Transmit a packet.
+     * @param p The packet.
+     * @param h The TCP header.
+     * @param who Who the socket belongs to (sender or receiver).
      */
     void Tx(const Ptr<const Packet> p, const TcpHeader& h, SocketWho who) override;
     /**
-     * \brief Track the bytes in flight.
-     * \param oldValue previous value.
-     * \param newValue actual value.
+     * @brief Track the bytes in flight.
+     * @param oldValue previous value.
+     * @param newValue actual value.
      */
     void BytesInFlightTrace(uint32_t oldValue, uint32_t newValue) override;
 
     /**
-     * \brief Called when a packet is dropped.
-     * \param ipH The IP header.
-     * \param tcpH The TCP header.
-     * \param p The packet.
+     * @brief Called when a packet is dropped.
+     * @param ipH The IP header.
+     * @param tcpH The TCP header.
+     * @param p The packet.
      */
     void PktDropped(const Ipv4Header& ipH, const TcpHeader& tcpH, Ptr<const Packet> p);
 
     /**
-     * \brief Configure the test.
+     * @brief Configure the test.
      */
     void ConfigureEnvironment() override;
 
     /**
-     * \brief Do the checks before the RTO expires.
-     * \param tcb The TcpSocketState.
-     * \param who The socket.
+     * @brief Do the checks before the RTO expires.
+     * @param tcb The TcpSocketState.
+     * @param who The socket.
      */
     void BeforeRTOExpired(const Ptr<const TcpSocketState> tcb, SocketWho who) override;
 
     /**
-     * \brief Update when RTO expires
-     * \param oldVal old time value
-     * \param newVal new time value
+     * @brief Update when RTO expires
+     * @param oldVal old time value
+     * @param newVal new time value
      */
     void RTOExpired(Time oldVal, Time newVal);
 
     /**
-     * \brief Do the final checks.
+     * @brief Do the final checks.
      */
     void FinalChecks() override;
 
@@ -121,7 +121,7 @@
     TcpGeneralTest::ConfigureEnvironment();
     SetAppPktCount(30);
     SetPropagationDelay(MilliSeconds(50));
-    SetTransmitStart(Seconds(2.0));
+    SetTransmitStart(Seconds(2));
 
     Config::SetDefault("ns3::TcpSocketBase::Sack", BooleanValue(false));
 }
@@ -270,9 +270,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TestSuite: Check the value of BytesInFlight against a home-made guess
+ * @brief TestSuite: Check the value of BytesInFlight against a home-made guess
  */
 class TcpBytesInFlightTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-classic-recovery-test.cc ns-3.44/src/internet/test/tcp-classic-recovery-test.cc
--- ns-3.43/src/internet/test/tcp-classic-recovery-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-classic-recovery-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -21,18 +21,18 @@
 NS_LOG_COMPONENT_DEFINE("TcpClassicRecoveryTestSuite");
 
 /**
- * \brief Classic Recovery algorithm test
+ * @brief Classic Recovery algorithm test
  */
 class ClassicRecoveryTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param segmentSize Segment size.
-     * \param ssThresh Slow Start Threshold.
-     * \param dupAckCount Duplicate acknowledgement Threshold.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param segmentSize Segment size.
+     * @param ssThresh Slow Start Threshold.
+     * @param dupAckCount Duplicate acknowledgement Threshold.
+     * @param name Test description.
      */
     ClassicRecoveryTest(uint32_t cWnd,
                         uint32_t segmentSize,
@@ -107,9 +107,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Classic Recovery TestSuite
+ * @brief Classic Recovery TestSuite
  */
 class ClassicRecoveryTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-close-test.cc ns-3.44/src/internet/test/tcp-close-test.cc
--- ns-3.43/src/internet/test/tcp-close-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-close-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -18,15 +18,15 @@
 NS_LOG_COMPONENT_DEFINE("TcpCloseTestSuite");
 
 /**
- * \brief Check if the TCP correctly close the connection after receiving
+ * @brief Check if the TCP correctly close the connection after receiving
  * previously lost data
  */
 class TcpCloseWithLossTestCase : public TcpGeneralTest
 {
   public:
     /**
-     * \brief Constructor
-     * \param sackEnabled Enable or disable SACK
+     * @brief Constructor
+     * @param sackEnabled Enable or disable SACK
      */
     TcpCloseWithLossTestCase(bool sackEnabled);
 
@@ -51,9 +51,9 @@
 
     /**
      * Called when a packet is dropped.
-     * \param ipH IP header
-     * \param tcpH TCP header
-     * \param pkt packet
+     * @param ipH IP header
+     * @param tcpH TCP header
+     * @param pkt packet
      */
     void PktDropped(const Ipv4Header& ipH, const TcpHeader& tcpH, Ptr<const Packet> pkt);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-cong-avoid-test.cc ns-3.44/src/internet/test/tcp-cong-avoid-test.cc
--- ns-3.43/src/internet/test/tcp-cong-avoid-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-cong-avoid-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -16,9 +16,9 @@
 NS_LOG_COMPONENT_DEFINE("TcpNewRenoCongAvoidTest");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Test the behavior of RFC congestion avoidance
+ * @brief Test the behavior of RFC congestion avoidance
  *
  * From RFC 5681:\n
  *
@@ -44,12 +44,12 @@
 {
   public:
     /**
-     * \brief Constructor.
-     * \param segmentSize Segment size.
-     * \param packetSize Size of the packets.
-     * \param packets Number of packets.
-     * \param congControl Type of congestion control.
-     * \param desc The test description.
+     * @brief Constructor.
+     * @param segmentSize Segment size.
+     * @param packetSize Size of the packets.
+     * @param packets Number of packets.
+     * @param congControl Type of congestion control.
+     * @param desc The test description.
      */
     TcpNewRenoCongAvoidNormalTest(uint32_t segmentSize,
                                   uint32_t packetSize,
@@ -63,7 +63,7 @@
     void PhyDrop(SocketWho who) override;
     void NormalClose(SocketWho who) override;
     /**
-     * \brief Called each RTT (1.0 sec in the testing environment) and check
+     * @brief Called each RTT (1.0 sec in the testing environment) and check
      * that the overall increment in this RTT is less or equal than 1 MSS
      */
     void Check();
@@ -123,7 +123,7 @@
 
     if (!m_event.IsPending())
     {
-        m_event = Simulator::Schedule(Seconds(1.0), &TcpNewRenoCongAvoidNormalTest::Check, this);
+        m_event = Simulator::Schedule(Seconds(1), &TcpNewRenoCongAvoidNormalTest::Check, this);
     }
 
     m_increment += newValue - oldValue;
@@ -155,7 +155,7 @@
 
     m_increment = 0;
 
-    m_event = Simulator::Schedule(Seconds(1.0), &TcpNewRenoCongAvoidNormalTest::Check, this);
+    m_event = Simulator::Schedule(Seconds(1), &TcpNewRenoCongAvoidNormalTest::Check, this);
 }
 
 void
@@ -168,9 +168,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TestSuite for the behavior of RFC congestion avoidance
+ * @brief TestSuite for the behavior of RFC congestion avoidance
  */
 class TcpRenoCongAvoidTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-datasentcb-test.cc ns-3.44/src/internet/test/tcp-datasentcb-test.cc
--- ns-3.43/src/internet/test/tcp-datasentcb-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-datasentcb-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -16,17 +16,17 @@
 NS_LOG_COMPONENT_DEFINE("TcpDatSentCbTest");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Socket that the 50% of the times saves the entire packet in the buffer,
+ * @brief Socket that the 50% of the times saves the entire packet in the buffer,
  * while in the other 50% saves only half the packet.
  */
 class TcpSocketHalfAck : public TcpSocketMsgBase
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -77,9 +77,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Data Sent callback test
+ * @brief Data Sent callback test
  *
  * The rationale of this test is to check if the dataSent callback advertises
  * to the application all the transmitted bytes. We know in advance how many
@@ -92,9 +92,9 @@
   public:
     /**
      * Constructor.
-     * \param desc Test description.
-     * \param size Packet size.
-     * \param packets Number of packets.
+     * @param desc Test description.
+     * @param size Packet size.
+     * @param packets Number of packets.
      */
     TcpDataSentCbTestCase(const std::string& desc, uint32_t size, uint32_t packets)
         : TcpGeneralTest(desc),
@@ -150,9 +150,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TestSuite: Data Sent callback
+ * @brief TestSuite: Data Sent callback
  */
 class TcpDataSentCbTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-dctcp-test.cc ns-3.44/src/internet/test/tcp-dctcp-test.cc
--- ns-3.43/src/internet/test/tcp-dctcp-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-dctcp-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -27,18 +27,18 @@
 NS_LOG_COMPONENT_DEFINE("TcpDctcpTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Validates the setting of ECT and ECE codepoints for DCTCP enabled traffic
+ * @brief Validates the setting of ECT and ECE codepoints for DCTCP enabled traffic
  */
 class TcpDctcpCodePointsTest : public TcpGeneralTest
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
-     * \param testCase Test case number
-     * \param desc Description about the test
+     * @param testCase Test case number
+     * @param desc Description about the test
      */
     TcpDctcpCodePointsTest(uint8_t testCase, const std::string& desc);
 
@@ -196,9 +196,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief A TCP socket which sends a data packet with CE flags set for test 3.
+ * @brief A TCP socket which sends a data packet with CE flags set for test 3.
  *
  * The SendDataPacket function of this class sends data packet numbered 1  with CE flags set and
  * also doesn't set CWR flags on receipt of ECE flags for test 3. This is done to verify that DCTCP
@@ -209,8 +209,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -224,8 +224,8 @@
     }
 
     /**
-     * \brief Constructor.
-     * \param other The object to copy from.
+     * @brief Constructor.
+     * @param other The object to copy from.
      */
     TcpDctcpCongestedRouter(const TcpDctcpCongestedRouter& other)
         : TcpSocketMsgBase(other)
@@ -234,7 +234,7 @@
 
     /**
      * Set the test case type
-     * \param testCase test case type
+     * @param testCase test case type
      */
     void SetTestCase(uint8_t testCase);
 
@@ -540,24 +540,24 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief DCTCP should be same as Linux during slow start
+ * @brief DCTCP should be same as Linux during slow start
  */
 class TcpDctcpToLinuxReno : public TestCase
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
-     * \param cWnd congestion window
-     * \param segmentSize segment size
-     * \param ssThresh slow start threshold
-     * \param segmentsAcked segments acked
-     * \param highTxMark high tx mark
-     * \param lastAckedSeq last acked seq
-     * \param rtt RTT
-     * \param name Name of the test
+     * @param cWnd congestion window
+     * @param segmentSize segment size
+     * @param ssThresh slow start threshold
+     * @param segmentsAcked segments acked
+     * @param highTxMark high tx mark
+     * @param lastAckedSeq last acked seq
+     * @param rtt RTT
+     * @param name Name of the test
      */
     TcpDctcpToLinuxReno(uint32_t cWnd,
                         uint32_t segmentSize,
@@ -570,7 +570,7 @@
 
   private:
     void DoRun() override;
-    /** \brief Execute the test
+    /** @brief Execute the test
      */
     void ExecuteTest();
 
@@ -606,7 +606,7 @@
 void
 TcpDctcpToLinuxReno::DoRun()
 {
-    Simulator::Schedule(Seconds(0.0), &TcpDctcpToLinuxReno::ExecuteTest, this);
+    Simulator::Schedule(Seconds(0), &TcpDctcpToLinuxReno::ExecuteTest, this);
     Simulator::Run();
     Simulator::Destroy();
 }
@@ -640,9 +640,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP DCTCP TestSuite
+ * @brief TCP DCTCP TestSuite
  */
 class TcpDctcpTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-ecn-test.cc ns-3.44/src/internet/test/tcp-ecn-test.cc
--- ns-3.43/src/internet/test/tcp-ecn-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-ecn-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -30,9 +30,9 @@
 NS_LOG_COMPONENT_DEFINE("TcpEcnTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief checks if ECT, CWR and ECE bits are set correctly in different scenarios
+ * @brief checks if ECT, CWR and ECE bits are set correctly in different scenarios
  *
  * This test suite will run four combinations of enabling ECN (sender off and receiver off; sender
  * on and receiver off; sender off and receiver on; sender on and receiver on;) and checks that the
@@ -45,10 +45,10 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
-     * \param testcase test case number
-     * \param desc Description about the ECN capabilities of sender and receiver
+     * @param testcase test case number
+     * @param desc Description about the ECN capabilities of sender and receiver
      */
     TcpEcnTest(uint32_t testcase, const std::string& desc);
 
@@ -68,9 +68,9 @@
 };
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief A TCP socket which sends certain data packets with CE flags set for tests 5 and 6.
+ * @brief A TCP socket which sends certain data packets with CE flags set for tests 5 and 6.
  *
  * The SendDataPacket function of this class sends data packets numbered 1 and 3 with CE flags set
  * for test 5 to verify if ECE and CWR bits are correctly set by receiver and sender respectively.
@@ -82,8 +82,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -97,8 +97,8 @@
     }
 
     /**
-     * \brief Constructor.
-     * \param other The object to copy from.
+     * @brief Constructor.
+     * @param other The object to copy from.
      */
     TcpSocketCongestedRouter(const TcpSocketCongestedRouter& other)
         : TcpSocketMsgBase(other)
@@ -107,7 +107,7 @@
 
     /**
      * Set the test case type
-     * \param testCase Test case type
+     * @param testCase Test case type
      */
     void SetTestCase(uint8_t testCase);
 
@@ -554,9 +554,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP ECN TestSuite
+ * @brief TCP ECN TestSuite
  */
 class TcpEcnTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-endpoint-bug2211.cc ns-3.44/src/internet/test/tcp-endpoint-bug2211.cc
--- ns-3.43/src/internet/test/tcp-endpoint-bug2211.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-endpoint-bug2211.cc	2025-03-09 16:55:49.415371200 -0700
@@ -15,9 +15,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Test for bug 2211.
+ * @brief Test for bug 2211.
  *
  * https://www.nsnam.org/bugzilla/show_bug.cgi?id=2211
  *
@@ -41,25 +41,25 @@
   public:
     /**
      * Constructor.
-     * \param desc Test description.
-     * \param ipVersion True to use IPv6.
+     * @param desc Test description.
+     * @param ipVersion True to use IPv6.
      */
     TcpEndPointBug2211Test(std::string desc, bool ipVersion);
 
     /**
-     * \brief Receive a packet.
-     * \param socket The receiving socket.
+     * @brief Receive a packet.
+     * @param socket The receiving socket.
      */
     void Recv(Ptr<Socket> socket);
     /**
-     * \brief Handle an incoming connection.
-     * \param s The receiving socket.
-     * \param from The other node IP address.
+     * @brief Handle an incoming connection.
+     * @param s The receiving socket.
+     * @param from The other node IP address.
      */
     void HandleAccept(Ptr<Socket> s, const Address& from);
     /**
-     * \brief Handle a connection establishment.
-     * \param socket The receiving socket.
+     * @brief Handle a connection establishment.
+     * @param socket The receiving socket.
      */
     void HandleConnect(Ptr<Socket> socket);
     void DoRun() override;
@@ -138,9 +138,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TestSuite for bug 2211 - It must be used with valgrind.
+ * @brief TestSuite for bug 2211 - It must be used with valgrind.
  */
 class TcpEndpointBug2211TestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-error-model.h ns-3.44/src/internet/test/tcp-error-model.h
--- ns-3.43/src/internet/test/tcp-error-model.h	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-error-model.h	2025-03-09 16:55:49.415371200 -0700
@@ -15,9 +15,9 @@
 {
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief A general (TCP-aware) error model.
+ * @brief A general (TCP-aware) error model.
  *
  * The class is responsible to take away the IP and TCP header from the packet,
  * and then to interrogate the method ShouldDrop, dropping the packet accordingly
@@ -27,15 +27,15 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TcpGeneralErrorModel();
 
     /**
-     * \brief Set the drop callback.
-     * \param cb The callback to be set.
+     * @brief Set the drop callback.
+     * @param cb The callback to be set.
      */
     void SetDropCallback(Callback<void, const Ipv4Header&, const TcpHeader&, Ptr<const Packet>> cb)
     {
@@ -44,11 +44,11 @@
 
   protected:
     /**
-     * \brief Check if the packet should be dropped.
-     * \param ipHeader The packet IPv4 header.
-     * \param tcpHeader The packet TCP header.
-     * \param packetSize The packet size.
-     * \returns True if the packet should be dropped.
+     * @brief Check if the packet should be dropped.
+     * @param ipHeader The packet IPv4 header.
+     * @param tcpHeader The packet TCP header.
+     * @param packetSize The packet size.
+     * @returns True if the packet should be dropped.
      */
     virtual bool ShouldDrop(const Ipv4Header& ipHeader,
                             const TcpHeader& tcpHeader,
@@ -61,18 +61,18 @@
 };
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief An error model TCP aware: it drops the sequence number declared.
+ * @brief An error model TCP aware: it drops the sequence number declared.
  *
- * \see AddSeqToKill
+ * @see AddSeqToKill
  */
 class TcpSeqErrorModel : public TcpGeneralErrorModel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -82,12 +82,12 @@
     }
 
     /**
-     * \brief Add the sequence number to the list of segments to be killed
+     * @brief Add the sequence number to the list of segments to be killed
      *
      * Calling x times this function indicates that you want to kill
      * the segment x times.
      *
-     * \param seq sequence number to be killed
+     * @param seq sequence number to be killed
      */
     void AddSeqToKill(const SequenceNumber32& seq)
     {
@@ -107,31 +107,31 @@
 };
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Error model which drop packets with specified TCP flags.
+ * @brief Error model which drop packets with specified TCP flags.
  *
  * Set the flags with SetFlagToKill and the number of the packets with such flags
  * which should be killed.
  *
- * \see SetFlagToKill
- * \see SetKillRepeat
+ * @see SetFlagToKill
+ * @see SetKillRepeat
  *
  */
 class TcpFlagErrorModel : public TcpGeneralErrorModel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TcpFlagErrorModel();
 
     /**
-     * \brief Set the flags of the segment that should be killed
+     * @brief Set the flags of the segment that should be killed
      *
-     * \param flags Flags
+     * @param flags Flags
      */
     void SetFlagToKill(TcpHeader::Flags_t flags)
     {
@@ -139,7 +139,7 @@
     }
 
     /**
-     * \brief Set how many packets should be killed
+     * @brief Set how many packets should be killed
      *
      * If the flags are the same, this specified the numbers of drops:
      *
@@ -147,7 +147,7 @@
      * # 0  for no drops
      * # >1 the number of drops
      *
-     * \param killNumber Specifies the number of times the packet should be killed
+     * @param killNumber Specifies the number of times the packet should be killed
      */
     void SetKillRepeat(int16_t killNumber)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-fast-retr-test.cc ns-3.44/src/internet/test/tcp-fast-retr-test.cc
--- ns-3.43/src/internet/test/tcp-fast-retr-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-fast-retr-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -17,9 +17,9 @@
 NS_LOG_COMPONENT_DEFINE("TcpFastRetrTest");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Test the fast retransmission
+ * @brief Test the fast retransmission
  *
  * Checking what is happening is not so easy, so there are a lot of variables
  * which helps to keep track on what is happening.
@@ -30,10 +30,10 @@
 {
   public:
     /**
-     * \brief Constructor
-     * \param congControl Type of congestion control.
-     * \param seqToKill Sequence number of the packet to drop.
-     * \param msg Test message.
+     * @brief Constructor
+     * @param congControl Type of congestion control.
+     * @param seqToKill Sequence number of the packet to drop.
+     * @param msg Test message.
      */
     TcpFastRetrTest(TypeId congControl, uint32_t seqToKill, const std::string& msg);
 
@@ -57,10 +57,10 @@
     void AfterRTOExpired(const Ptr<const TcpSocketState> tcb, SocketWho who) override;
 
     /**
-     * \brief Check if the packet being dropped is the right one.
-     * \param ipH IPv4 header.
-     * \param tcpH TCP header.
-     * \param p The packet.
+     * @brief Check if the packet being dropped is the right one.
+     * @param ipH IPv4 header.
+     * @param tcpH TCP header.
+     * @param p The packet.
      */
     void PktDropped(const Ipv4Header& ipH, const TcpHeader& tcpH, Ptr<const Packet> p);
     void FinalChecks() override;
@@ -132,7 +132,7 @@
 TcpFastRetrTest::CreateSenderSocket(Ptr<Node> node)
 {
     Ptr<TcpSocketMsgBase> socket = TcpGeneralTest::CreateSenderSocket(node);
-    socket->SetAttribute("MinRto", TimeValue(Seconds(10.0)));
+    socket->SetAttribute("MinRto", TimeValue(Seconds(10)));
 
     return socket;
 }
@@ -414,9 +414,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testsuite for the fast retransmission
+ * @brief Testsuite for the fast retransmission
  */
 class TcpFastRetrTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-general-test.cc ns-3.44/src/internet/test/tcp-general-test.cc
--- ns-3.43/src/internet/test/tcp-general-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-general-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -237,7 +237,7 @@
     m_receiverSocket->Listen();
     m_receiverSocket->ShutdownSend();
 
-    Simulator::Schedule(Seconds(0.0), &TcpGeneralTest::DoConnect, this);
+    Simulator::Schedule(Seconds(0), &TcpGeneralTest::DoConnect, this);
     Simulator::ScheduleWithContext(nodes.Get(0)->GetId(),
                                    m_startTime,
                                    &TcpGeneralTest::SendPacket,
